package main

// Path where authorized keys are
const sshPubKeysLocation = "/srv/.ssh/authorized_keys"

// Message represents response with information about results of something
type Message struct {
	// Message with different kind of information. Usually it's error message generated by dependencies or stdlib or simply ok.
	// Example: ok
	// Required: false
	Message string `json:"message,omitempty"`
	// If there are any errors all of them are listed here.
	// Required: false
	Errors []string `json:"errors,omitempty"`
}

// data passed into the template
type templateData struct {
	Token string
}

// Password is request structure you can use to pass password for app user in the container
type Password struct {
	Password string `json:"password"`
}

// QuickServices comes from client and say what technology or service enable in the container
type QuickServices struct {
	Python    bool `json:"python"`
	Node      bool `json:"node"`
	PHP       bool `json:"php"`
	Memcached bool `json:"memcached"`
	Redis     bool `json:"redis"`
}
